[package]
name = "mesoclaw-daemon"
version.workspace = true
edition.workspace = true

[[bin]]
name = "mesoclaw-daemon"
path = "src/main.rs"

[dependencies]
mesoclaw-core = { workspace = true, default-features = false, features = ["gateway", "ai"] }
tokio = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
clap = { workspace = true }

[lints]
workspace = true

[features]
default = ["keyring", "channels", "channels-telegram", "channels-slack", "channels-discord", "api-docs"]
api-docs = ["mesoclaw-core/api-docs"]
keyring = ["mesoclaw-core/keyring"]
channels = ["mesoclaw-core/channels"]
channels-telegram = ["channels", "mesoclaw-core/channels-telegram"]
channels-slack = ["channels", "mesoclaw-core/channels-slack"]
channels-discord = ["channels", "mesoclaw-core/channels-discord"]
local-embeddings = ["mesoclaw-core/local-embeddings"]
scheduler = ["mesoclaw-core/scheduler"]
web-dashboard = ["mesoclaw-core/web-dashboard"]
vendored-openssl = ["mesoclaw-core/vendored-openssl"]
